[law]
id = 10001622
name = "ABGB"

[[law.classifiers]]
name = " Theil"
is_root = true
match_function = "contains"

[[law.classifiers]]
name = "Abtheilung"
is_root = false
match_function = "contains"

[[law.classifiers]]
name = "Hauptstück"
is_root = false
match_function = "contains"

[[law.classifiers]]
name = "Abschnitt"
is_root = false
match_function = "contains"

[[law.classifiers]]
name = "letter"
is_root = false
match_function = "starts_with_letter"

[[law.classifiers]]
name = "roman numbering"
is_root = false
match_function = "starts_with_roman_number"

[[law.classifiers]]
name = "numbering"
is_root = false
match_function = "starts_with_number"

[[law.classifiers]]
name = "dash"
is_root = false
match_function = "starts_with_dash"

[parser]
remove_strings = [
	"<tab />",
	"<b>", "</b>",
	"<i>", "</i>",
	"<n>", "</n>",
	"""<ueberschrift typ="g1" ct="text" halign="c">Zweyter Theil.</ueberschrift>""", # weird thing after § 858
]

[[parser.replace_rules]]
find = "Einleitung." # Should be at the same level as the other "Theil"e
replace_with = "Nullter Theil. Einleitung"

[[parser.replace_rules]]
find = "<gdash />"
replace_with = "-"

[[parser.replace_rules]]
find = """<ueberschrift typ="g1" ct="text" halign="c">Medizinische Behandlung</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">- Medizinische Behandlung</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="g1min" ct="text" halign="c">Von den dinglichen Rechten.</ueberschrift>"""
replace_with = """<ueberschrift typ="g2" ct="text" halign="c">Von den dinglichen Rechten.</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="para" ct="text" halign="c">Erfordernisse zur Ersitzung:</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">I. Erfordernisse zur Ersitzung:</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="para" ct="text" halign="c">a) entscheidungsfähiger Personen</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">a) entscheidungsfähiger Personen</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="para" ct="text" halign="c">b) nicht entscheidungsfähiger Personen</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">b) nicht entscheidungsfähiger Personen</ueberschrift>"""

# RIS uses multiple headers to get more attention...
[[parser.replace_rules]]
find = """<ueberschrift typ="g1" ct="text" halign="c">Zweyter Theil</ueberschrift><ueberschrift typ="g1" ct="text" halign="c">des</ueberschrift><ueberschrift typ="g1" ct="text" halign="c">bürgerlichen Gesetzbuches.</ueberschrift><ueberschrift typ="g1" ct="text" halign="c">Von dem Sachenrechte.</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">Zweyter Theil des bürgerlichen Gesetzbuches: Von dem Sachenrechte.</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="g1" ct="text" halign="c">Erste Abtheilung</ueberschrift><ueberschrift typ="g2" ct="text" halign="c">des Sachenrechtes.</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">Erste Abtheilung des Sachenrechtes.</ueberschrift>"""

[[parser.replace_rules]]
find = """<ueberschrift typ="g1" ct="text" halign="c">Dritter Theil</ueberschrift><ueberschrift typ="g1min" ct="text" halign="c">des</ueberschrift><ueberschrift typ="g1min" ct="text" halign="c">bürgerlichen Gesetzbuches.</ueberschrift><ueberschrift typ="g1" ct="text" halign="c">Von den gemeinschaftlichen Bestimmungen der Personen- und Sachenrechte.</ueberschrift>"""
replace_with = """<ueberschrift typ="g1" ct="text" halign="c">Dritter Theil des bürgerlichen Gesetzbuches.</ueberschrift><ueberschrift typ="g2" ct="text" halign="c">Von den gemeinschaftlichen Bestimmungen der Personen- und Sachenrechte.</ueberschrift>"""

